Bug 480380 - Review Request: python-epdb - extended python debugger
Review Request: python-epdb - extended python debugger
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 14:17 EST by Justin M. Forbes
Modified: 2014-06-19 16:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkeating: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Justin M. Forbes 2009-01-16 14:17:20 EST
Spec URL: http://www.linuxtx.org/rpms/python-epdb/python-epdb.spec
SRPM URL: http://www.linuxtx.org/rpms/python-epdb/python-epdb-0.11-1.fc10.src.rpm
Description: python-epdb is an extended python debugger with support for things such as showmethods and showdata.
Comment 1 Jesse Keating 2009-01-17 18:31:39 EST
Spec looks very clean

This appears to be a noarch package, there is no compiled code in the python modules.  Add a BuildArch: noarch so that this builds noarch.

Once that's done, rpmlint is silent.

epdb/telnetclient.py is unlicensed, unlike other files, should probably put a copyright/license on it.

Upstream sha256sums match.

-- Summary --
Add BuildArch: noarch to make this a noarch package
Perhaps get upstream to apply a copyright/license on epdb/telnetclient.py
Comment 2 Justin M. Forbes 2009-01-17 21:27:51 EST
Added BuildArch: noarch to spec and reuploaded.

rpmlint python-epdb.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

License request on telnetclient.py has been sent to upstream via irc.
Comment 3 Justin M. Forbes 2009-01-17 21:33:35 EST
<jforbes> in epdb, telnetclient.py has no license info in the file
<dugan> oops
<jforbes> just thought I would pass it along :)
<dugan> definitely same license
Comment 4 Jesse Keating 2009-01-18 01:46:40 EST
Alright, looks good now.  Go ahead and apply for the 'packager' group in the Fedora account system and I'll approve you.  In the mean time also do the CVS request so that your package module will be waiting for you once that's done.
Comment 5 Justin M. Forbes 2009-01-18 09:43:48 EST
New Package CVS Request
=======================
Package Name: python-epdb
Short Description: Extended Python debugger
Owners: jforbes
Branches: F-9 F-10
Comment 6 Kevin Fenzi 2009-01-18 17:33:38 EST
cvs done.
Comment 7 Fedora Update System 2009-01-19 08:41:10 EST
python-epdb-0.11-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-epdb-0.11-1.fc9
Comment 8 Fedora Update System 2009-01-19 08:41:15 EST
python-epdb-0.11-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-epdb-0.11-1.fc10
Comment 9 Fedora Update System 2009-01-21 16:26:47 EST
python-epdb-0.11-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-01-21 16:28:53 EST
python-epdb-0.11-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Andy Grimm 2013-03-19 20:15:01 EDT
Package Change Request
======================
Package Name: python-epdb
New Branches: el6
Owners: arg
InitialCC: 

I'd like to maintain an el6 branch of this package. Thanks.
Comment 13 Gwyn Ciesla 2013-03-20 08:16:56 EDT
Any comments from the Fedora maintainer?
Comment 14 Justin M. Forbes 2013-03-20 10:28:17 EDT
That's fine with me. Andy knows the upstream, and is generally a sane packager.
Comment 15 Andy Grimm 2013-03-20 10:38:21 EDT
Package Change Request
======================
Package Name: python-epdb
New Branches: el6
Owners: arg
InitialCC: 

I'd like to maintain an el6 branch of this package. Thanks.
Comment 16 Gwyn Ciesla 2013-03-20 10:39:33 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2013-03-20 14:02:41 EDT
python-epdb-0.11-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-epdb-0.11-9.el6
Comment 18 Fedora Update System 2013-04-05 18:34:39 EDT
python-epdb-0.11-9.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 19 Andy Grimm 2014-06-18 14:26:01 EDT
Package Change Request
======================
Package Name: python-epdb
New Branches: el7
Owners: arg
InitialCC: 

I'd like to maintain an el7 branch of this package. Thanks.
Comment 20 Kevin Fenzi 2014-06-19 16:51:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.